# Timeline: delete

**Requires [authorization](https://developers.google.com/glass/v1/reference/timeline/delete#auth)**

Deletes a timeline item.
[See an example](https://developers.google.com/glass/v1/reference/timeline/delete#examples).

## Request

### HTTP request

```
DELETE https://www.googleapis.com/mirror/v1/timeline/id
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `id` | `string` | The ID of the timeline item. |

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://developers.google.com/glass/authorization)).

| Scope |
|---|
| `https://www.googleapis.com/auth/glass.timeline` |
| `https://www.googleapis.com/auth/glass.location` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.

## Examples

**Note:** The code examples available for this method do not represent all supported programming languages (see the [client libraries page](https://developers.google.com/glass/tools-downloads/client-libraries) for a list of supported languages).

### Java

Uses the [Java client library](https://developers.google.com/glass/tools-downloads/client-libraries).

```java
import com.google.api.services.mirror.Mirror;

import java.io.IOException;

public class MyClass {
  // ...

  /**
   * Delete a timeline item.
   * 
   * @param service Authorized Mirror service.
   * @param itemId ID of the timeline item to delete.
   */
  public static void deleteTimelineItem(Mirror service, String itemId) {
    try {
      service.timeline().delete(itemId).execute();
    } catch (IOException e) {
      System.err.println("An error occurred: " + e);
    }
  }

  // ...
}
```

### .NET

Uses the [.NET client library](https://developers.google.com/glass/tools-downloads/client-libraries).

```
using System;

using Google.Apis.Mirror.v1;

public class MyClass {
  // ...

  /// <summary>
  /// Delete a timeline item.
  /// </summary>
  /// <param name='service'>Authorized Mirror service.</param>
  /// <param name='itemId'>ID of the timeline item to delete.</param>
  public static void DeleteTimelineItem(MirrorService service,
      String itemId) {
    try {
      service.Timeline.Delete(itemId).Fetch();
    } catch (Exception e) {
      Console.WriteLine("An exception occurred: " + e.Message);
    }
  }

  // ...
}
```

### PHP

Uses the [PHP client library](https://developers.google.com/glass/tools-downloads/client-libraries).

```php
/**
 * Delete a timeline item.
 *
 * @param Google_MirrorService $service Authorized Mirror service.
 * @param string $itemId ID of the timeline item to delete.
 */
function deleteTimelineItem($service, $itemId) {
  try {
    $service->timeline->delete($itemId);
  } catch (Exception $e) {
    print 'An error occurred: ' . $e->getMessage();
  }
}
```

### Python

Uses the [Python client library](https://developers.google.com/glass/tools-downloads/client-libraries).

```python
from apiclient import errors
# ...

def delete_timeline_item(service, item_id):
  """Delete a timeline item.

  Args:
    service: Authorized Mirror service.
    item_id: ID of the timeline item to delete.
  """
  try:
    service.timeline().delete(id=item_id).execute()
  except errors.HttpError, e:
    print 'An error occurred: %s' % error
```

### Ruby

Uses the [Ruby client library](https://developers.google.com/glass/tools-downloads/client-libraries).

```ruby
##
# Delete a Timeline Item.
#
# @param [Google::APIClient] client
#   Authorized client instance.
# @param [string] item_id
#   ID of the timeline item to delete.
# @return nil
def delete_timeline_item(client, item_id)
  mirror = client.discovered_api('mirror', 'v1')
  result = client.execute(
    :api_method => mirror.timeline.delete,
    :parameters => { 'id' => item_id })
  if result.error?
    puts "An error occurred: #{result.data['error']['message']}"
  end
end
```

### Go

Uses the [Go client library](https://developers.google.com/glass/tools-downloads/client-libraries).

```go
import (
	"code.google.com/p/google-api-go-client/mirror/v1"
	"fmt"
)

// DeleteTimelineItem deletes a timeline item.
func DeleteTimelineItem(g *mirror.Service, itemId string) error {
	err := g.Timeline.Delete(itemId).Do()
	if err != nil {
		fmt.Printf("An error occurred: %v\n", err)
	}
	return err
}
```

### Raw HTTP

Does not use a client library.

```
DELETE /mirror/v1/timeline/timeline item id HTTP/1.1
Host: www.googleapis.com
Authorization: Bearer auth token
```